Function
flushFileSegment
Wait for all outstanding transactions of a memory-mapped file segment.
flushFileSegment(mapping, addr, fileOfs, size)
Include Headers
seqan/file.h
Parameters

mapping | A file mapping object. Types: FileMapping
addr | A pointer to the beginning of the memory-mapped segment in memory (returned by a prior call of mapFileSegment).
fileOfs | The absolute start address of the segment in bytes.
size | The segment length in bytes.

Remarks
This function has no effect under Windows. On all other platforms it calls msync. This function is only needed to synchronize file accesses in non-shared-memory environments.
Return Values
A bool which is true on success.
Member of
FileMapping
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58